Bug 1303943 - WebKit 1 is insecure, please stop using it
WebKit 1 is insecure, please stop using it
Status: CLOSED DUPLICATE of bug 1375823
Product: Fedora
Classification: Fedora
Component: gmusicbrowser (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 08:21 EST by Christian Stadelmann
Modified: 2016-09-14 06:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-14 06:16:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2016-02-02 08:21:09 EST
Description of problem:
According to Michael Catanzaro, a developer of WebKitGtk, WebKit 1 Gtk bindings (in this case Gtk2 bindings through perl-Gtk2-WebKit) are missing many security updates and are discouraged to use [1]. For this reason gmusicbrowser should stop using WebKit 1.

[1] https://blogs.gnome.org/mcatanzaro/2016/02/01/on-webkit-security-updates/

Version-Release number of selected component (if applicable):
1.1.15

How reproducible:
always

Upstream bug report:
https://github.com/squentin/gmusicbrowser/issues/57
Comment 1 Jan Kurik 2016-02-24 09:23:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Christian Stadelmann 2016-09-14 06:16:52 EDT

*** This bug has been marked as a duplicate of bug 1375823 ***

Note You need to log in before you can comment on or make changes to this bug.